CREATE TABLE egp_object_tags (
    ID                       NUMBER(18, 0) ,
    INTERNAL_NAME            VARCHAR2(1020)    NOT NULL,
    OBJECT_TYPE              VARCHAR2(1020),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ID                       NUMBER(18, 0) ,
    INTERNAL_NAME            VARCHAR2(1020)    NOT NULL,
    OBJECT_TYPE              VARCHAR2(1020),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_egp_object_tags PRIMARY KEY (ID, ID)
);
